# Open source projects we depend on

This is a list of major open source projects we use at Chaos Genius. We are thankful to all the maintainers for open sourcing and continuing to sustain these projects.

This is a part of the [FOSS Pledge](https://fossunited.org/foss-pledge)

## Tools, programming languages and databases

- [Python](https://www.python.org/)
- [NodeJS and npm](https://nodejs.org/)
- [bash](https://www.gnu.org/software/bash/)
- [git](https://git-scm.com/)
- [Docker](https://www.docker.com/) and [docker compose](https://github.com/docker/compose)
- [nginx](https://www.nginx.com/)
- [supervisor](http://supervisord.org/)
- [PostgreSQL](https://www.postgresql.org/)
- [Redis](https://redis.io/)
- [Alpine Linux](https://www.alpinelinux.org/)

## Python libraries

Some of the main python libraries we use:
- [Flask](https://flask.palletsprojects.com/en/2.1.x/)
- [SQLAlchemy](https://www.sqlalchemy.org/)
- [Celery](https://github.com/celery/celery)
- [Pandas](https://pandas.pydata.org/)
- [NumPy](https://numpy.org/)
- [pytest](https://docs.pytest.org/en/7.1.x/)

See [prod dependencies](https://github.com/chaos-genius/chaos_genius/blob/main/requirements/prod.txt) and [dev dependencies](https://github.com/chaos-genius/chaos_genius/blob/main/requirements/dev.txt) for the full list.

## NodeJS libraries

Some of the main NodeJS libraries we use:
- [React](https://reactjs.org/)
- [Redux](https://redux.js.org/)
- [Highcharts](https://www.highcharts.com/)

See the full list [here](https://github.com/chaos-genius/chaos_genius/blob/main/frontend/package.json).

